> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get membership account password rules

GET https://demo.docusign.net/restapi/v2/current_user/password_rules



Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/accounts/accountpasswordrules/getforuser

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Response

### 200

Successful response.

- `passwordRules` (accountPasswordRules, optional)
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### accountPasswordRules

- `expirePassword` (string, optional)
- `expirePasswordDays` (string, optional)
- `expirePasswordDaysMetadata` (accountPasswordExpirePasswordDays, optional)
- `lockoutDurationMinutes` (string, optional)
- `lockoutDurationMinutesMetadata` (accountPasswordLockoutDurationMinutes, optional)
- `lockoutDurationType` (string, optional)
- `lockoutDurationTypeMetadata` (accountPasswordLockoutDurationType, optional)
- `minimumPasswordAgeDays` (string, optional)
- `minimumPasswordAgeDaysMetadata` (accountPasswordMinimumPasswordAgeDays, optional)
- `minimumPasswordLength` (string, optional)
- `minimumPasswordLengthMetadata` (accountMinimumPasswordLength, optional)
- `passwordIncludeDigit` (string, optional)
- `passwordIncludeDigitOrSpecialCharacter` (string, optional)
- `passwordIncludeLowerCase` (string, optional)
- `passwordIncludeSpecialCharacter` (string, optional)
- `passwordIncludeUpperCase` (string, optional)
- `passwordStrengthType` (string, optional)
- `passwordStrengthTypeMetadata` (accountPasswordStrengthType, optional)
- `questionsRequired` (string, optional)
- `questionsRequiredMetadata` (accountPasswordQuestionsRequired, optional) — Information about the number of password questions required (0 to 4) to confirm a user's identity when a user needs to reset their password.

### accountPasswordExpirePasswordDays

- `maximumDays` (string, optional)
- `minimumDays` (string, optional)

### accountPasswordLockoutDurationMinutes

- `maximumMinutes` (string, optional)
- `minimumMinutes` (string, optional)

### accountPasswordLockoutDurationType

- `options` (list of string, optional)

### accountPasswordMinimumPasswordAgeDays

- `maximumAge` (string, optional)
- `minimumAge` (string, optional)

### accountMinimumPasswordLength

- `maximumLength` (string, optional)
- `minimumLength` (string, optional)

### accountPasswordStrengthType

- `options` (list of accountPasswordStrengthTypeOption, optional)

### accountPasswordQuestionsRequired

Information about the number of password questions required (0 to 4) to confirm a user's identity when a user needs to reset their password.

- `maximumQuestions` (string, optional) — The maximum number of password reset questions allowed for the account. This number must be between `0` and `4`, and equal to or greater than `minimumQuestions`.
- `minimumQuestions` (string, optional) — The minimum number of password reset questions allowed for the account. This number must be between `0` and `4`, and equal to or less than `maximumQuestions`.

### accountPasswordStrengthTypeOption

- `minimumLength` (string, optional)
- `name` (string, optional)
- `passwordIncludeDigit` (string, optional)
- `passwordIncludeDigitOrSpecialCharacter` (string, optional)
- `passwordIncludeLowerCase` (string, optional)
- `passwordIncludeSpecialCharacter` (string, optional)
- `passwordIncludeUpperCase` (string, optional)

## Examples

**Response**

```json
{
  "passwordRules": {
    "expirePassword": "string",
    "expirePasswordDays": "string",
    "expirePasswordDaysMetadata": {
      "maximumDays": "string",
      "minimumDays": "string"
    },
    "lockoutDurationMinutes": "string",
    "lockoutDurationMinutesMetadata": {
      "maximumMinutes": "string",
      "minimumMinutes": "string"
    },
    "lockoutDurationType": "string",
    "lockoutDurationTypeMetadata": {
      "options": [
        "string"
      ]
    },
    "minimumPasswordAgeDays": "string",
    "minimumPasswordAgeDaysMetadata": {
      "maximumAge": "string",
      "minimumAge": "string"
    },
    "minimumPasswordLength": "string",
    "minimumPasswordLengthMetadata": {
      "maximumLength": "string",
      "minimumLength": "string"
    },
    "passwordIncludeDigit": "string",
    "passwordIncludeDigitOrSpecialCharacter": "string",
    "passwordIncludeLowerCase": "string",
    "passwordIncludeSpecialCharacter": "string",
    "passwordIncludeUpperCase": "string",
    "passwordStrengthType": "string",
    "passwordStrengthTypeMetadata": {
      "options": [
        {
          "minimumLength": "string",
          "name": "string",
          "passwordIncludeDigit": "string",
          "passwordIncludeDigitOrSpecialCharacter": "string",
          "passwordIncludeLowerCase": "string",
          "passwordIncludeSpecialCharacter": "string",
          "passwordIncludeUpperCase": "string"
        }
      ]
    },
    "questionsRequired": "string",
    "questionsRequiredMetadata": {
      "maximumQuestions": "string",
      "minimumQuestions": "string"
    }
  },
  "userId": "string"
}
```